
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Inter', sans-serif;
  height: 100vh;
  background: #0f0f0f;
  color: white;
  overflow: hidden;
}

.bg {
  position: fixed;
  width: 100%;
  height: 100%;
  background: radial-gradient(circle at 20% 30%, #1f3cff, transparent),
              radial-gradient(circle at 80% 70%, #ff2f9b, transparent),
              #0f0f0f;
  filter: blur(80px);
  z-index: -1;
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  padding: 20px;
}

.card {
  width: 100%;
  max-width: 420px;
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(20px);
  border-radius: 20px;
  padding: 40px 25px;
  text-align: center;
  border: 1px solid rgba(255,255,255,0.1);
}


h1 {
  font-size: 30px;
  margin-bottom: 10px;
}

p {
  opacity: 1;
  margin-bottom: 30px;
}

.buttons {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.btn {
  display: flex;
  align-items: center;
  justify-content: center;
  color: azure;
  gap: 12px;
  padding: 16px;
  border-radius: 14px;
  text-decoration: none;
  font-weight: 600;
  transition: all 0.3s ease;
  position: relative;
  overflow: hidden;
}

.btn img {
  width: 39px;
  height: 39px;
}

.telegram {
  background: linear-gradient(135deg, #229ED9, #1c7ed6);
}

.signal {
  background: linear-gradient(135deg, #3A76F0, #2f63c9);
}

.btn:hover {
  transform: translateY(-3px) scale(1.02);
  box-shadow: 0 10px 30px rgba(0,0,0,0.4);
}

.btn:active {
  transform: scale(0.98);
}

@media (max-width: 480px) {
  .card {
    padding: 30px 20px;
  }

  h1 {
    font-size: 24px;
  }

  .btn {
    padding: 14px;
    font-size: 14px;
  }
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
  gap: 20px;
  padding: 20px;
}

.top-text {
  max-width: 520px;
  text-align: center;
  padding: 20px 18px;

  background: rgba(255, 255, 255, 0.06);
  backdrop-filter: blur(15px);

  border-radius: 16px;
  border: 1px solid rgba(255,255,255,0.1);

  box-shadow: 0 10px 30px rgba(0,0,0,0.3);

  font-size: 17px;
  line-height: 1.6;
  opacity: 0.9;

  position: relative;
  overflow: hidden;
}

.sub {
  opacity: 0.7;
  margin-bottom: 25px;
}